## rpm 0.7

=== DESCRIPTION ===
Package: rpm
Type: Package
Title: Modeling of Revealed Preferences Matchings
Version: 0.7
Date: 2023-04-18
Authors@R: c(
        person("Mark S.", "Handcock", role=c("aut","cre"), email="handcock@stat.ucla.edu", comment=c(ORCID="0000-0002-9985-2785")),
        person("Ryan M. ", "Admiraal", role=c("ctb"), email="ryan.admiraal@vuw.ac.nz"),
        person("Fiona C.", "Yeung", role=c("ctb"), email="fiona.c.yeung@gmail.com"),
        person("Heide M.", "Jackson", role=c("ctb"), email="heidej@umd.edu"),
        person("Michael S.", "Rendall", role=c("ctb"), email="mrendall@umd.edu"),
        person("Shuchi", "Goyal", role=c("ctb"), email="sgoyal25@ucla.edu"))
Description: Statistical estimation of revealed preference models from data collected on bipartite matchings. The models are for matchings within a bipartite population where individuals have utility for people based on known and unknown characteristics. People can form a partnership or remain unpartnered. The model represents both the availability of potential partners of different types and preferences of individuals for such people. The software estimates preference parameters based on sample survey data on partnerships and population composition. The simulation of matchings and goodness-of-fit are considered.  See Goyal, Handcock, Jackson, Rendall and Yeung (2022) <doi:10.1093/jrsssa/qnad031>.
License: GPL-3 + file LICENSE
License_is_FOSS: yes
License_restricts_use: no
URL: https://handcock.github.io
LinkingTo: Rcpp, RcppArmadillo
Depends: R (>= 4.0.0), abind, future, doRNG, methods
Suggests: testthat
Imports: Rcpp, nloptr, matrixStats, MASS, dplyr, ggplot2, coda,
        doFuture, foreach
Encoding: UTF-8
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-04-20 16:41:00 UTC; handcock
Author: Mark S. Handcock [aut, cre] (<https://orcid.org/0000-0002-9985-2785>),
  Ryan M.  Admiraal [ctb],
  Fiona C. Yeung [ctb],
  Heide M. Jackson [ctb],
  Michael S. Rendall [ctb],
  Shuchi Goyal [ctb]
Maintainer: Mark S. Handcock <handcock@stat.ucla.edu>
Repository: CRAN
Date/Publication: 2023-04-21 08:00:02 UTC
