## rpm 0.7-4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: rpm
 Type: Package
 Title: Modeling of Revealed Preferences Matchings
-Version: 0.7-3
-Date: 2024-04-17
+Version: 0.7-4
+Date: 2025-10-22
 Authors@R: c(
         person("Mark S.", "Handcock", role=c("aut","cre"), email="handcock@stat.ucla.edu", comment=c(ORCID="0000-0002-9985-2785")),
         person("Ryan M. ", "Admiraal", role=c("ctb"), email="ryan.admiraal@vuw.ac.nz"),
@@ -22,15 +22,16 @@
 Imports: Rcpp, nloptr, matrixStats, MASS, dplyr, ggplot2, coda,
         doFuture, foreach
 Encoding: UTF-8
-RoxygenNote: 7.3.1
+RoxygenNote: 7.3.3
 NeedsCompilation: yes
-Packaged: 2024-04-18 02:41:16 UTC; handcock
-Author: Mark S. Handcock [aut, cre] (<https://orcid.org/0000-0002-9985-2785>),
-  Ryan M.  Admiraal [ctb],
+Packaged: 2025-10-23 01:37:48 UTC; handcock
+Author: Mark S. Handcock [aut, cre] (ORCID:
+    <https://orcid.org/0000-0002-9985-2785>),
+  Ryan M. Admiraal [ctb],
   Fiona C. Yeung [ctb],
   Heide M. Jackson [ctb],
   Michael S. Rendall [ctb],
   Shuchi Goyal [ctb]
 Maintainer: Mark S. Handcock <handcock@stat.ucla.edu>
 Repository: CRAN
-Date/Publication: 2024-04-18 08:20:03 UTC
+Date/Publication: 2025-10-23 10:40:07 UTC
