## rpm 4.7.2

=== debian/changelog ===
rpm (4.7.2-1lbuild1) lucid; urgency=low

  * No change rebuild for liblzma transition

 -- Scott Kitterman <scott@kitterman.com>  Tue, 22 Dec 2009 12:16:12 -0500

rpm (4.7.2-1) unstable; urgency=low

  * New upstream version.
    - No need to convert man page from DOS end of lines.
    - Dropped patches:
        510c6763.patch - taken from upstream
        fix-linkage.patch - applied upstream
        fix-luaext.patch - applied upstream
        include-pthread.patch - applied upstream
    - Updated patches:
        manpage-dash.patch - rediffed, no changes
  * Upgrade recommends to depeds from rpm to rpm2cpio (Closes: #559203).
  * Drop run-autogen.patch and run autogen during build.
  * Use << instead of < in debian/control.

 -- Michal Čihař <nijel@debian.org>  Wed, 09 Dec 2009 17:09:58 +0100

rpm (4.7.1-14) unstable; urgency=low

  * Change dependency of -dev package to libdb-dev (Closes: #556608).

 -- Michal Čihař <nijel@debian.org>  Sat, 21 Nov 2009 02:46:08 +0100

rpm (4.7.1-13) unstable; urgency=low

  * Fix various typos in rpm/NEWS.Debian.
  * Improve database upgrade instructions in README.Debian.

 -- Michal Čihař <nijel@debian.org>  Fri, 20 Nov 2009 14:53:37 +0100

rpm (4.7.1-12) unstable; urgency=low

  * Fix build with libdb 4.8 by applying upstream patch 510c6763.
  * Change build depends to libdb-dev to pull libdb 4.8 (Closes: #556608).
  * Built with new liblzma.

 -- Michal Čihař <nijel@debian.org>  Fri, 20 Nov 2009 14:13:09 +0100

rpm (4.7.1-11) unstable; urgency=low

  * Do not build depend on libsepol1-dev on hurd and bsd.
  * Fix FTBFS with binutils-gold (Closes: #556329).
  * Convert to 3.0 (quilt) source format.

 -- Michal Čihař <nijel@debian.org>  Mon, 16 Nov 2009 14:15:54 +0100

rpm (4.7.1-10) unstable; urgency=low

  * Convert French man page from DOS end of lines (LP:#428310).

 -- Michal Čihař <nijel@debian.org>  Fri, 23 Oct 2009 14:35:24 +0200

rpm (4.7.1-9) unstable; urgency=low

  * Bump liblua5.1-0-dev build dependency to 5.1.4-4 to avoid conflicting
    libreadline-dev packages (Closes: #551114).
  * Upload to unstable as it now has xz-utils.

 -- Michal Čihař <nijel@debian.org>  Mon, 19 Oct 2009 09:00:39 +0200

rpm (4.7.1-8) experimental; urgency=low

  * Reupload to experimental with lzma support.

 -- Michal Čihař <nijel@debian.org>  Tue, 13 Oct 2009 13:07:59 +0200

rpm (4.7.1-7) unstable; urgency=low

  * Upload to unstable.
  * Disabled lzma support as xz-utils are not yet in unstable.

 -- Michal Čihař <nijel@debian.org>  Tue, 13 Oct 2009 12:56:59 +0200

rpm (4.7.1-6) experimental; urgency=low

  * Add Vietnamese debconf translation (Closes: #547915).
  * Explicitly require libdb4.7, 4.8 is not supported (Closes: #549803).
  * Strict dependency on same version of libraries from devel package.

 -- Michal Čihař <nijel@debian.org>  Tue, 06 Oct 2009 11:58:21 +0200

rpm (4.7.1-5) experimental; urgency=low

  * Add Brazilian Portuguese debconf translation (Closes: #544811).
  * Add Japanese debconf translation (Closes: #545315).
  * Add preinst script to remove cruft left after pycentral (Closes: #545720).
  * Build depend on libreadline-dev instead of libreadline5-dev.

 -- Michal Čihař <nijel@debian.org>  Mon, 14 Sep 2009 10:47:54 +0200

rpm (4.7.1-4) experimental; urgency=low

  * Add dependency from rpm to rpm-common, because the files were moved from
    rpm to rpm-common and user still might have older librpm, which does not
    pull in rpm-common (Closes: #544753).
  * Make rpm-common conflict/replace older versions of rpm and librpm where
    the files were moved from.

 -- Michal Čihař <nijel@debian.org>  Thu, 03 Sep 2009 11:40:55 +0200

rpm (4.7.1-3) experimental; urgency=low

  * Add Finnish debconf translation (Closes: #543121).
  * Add Spanish debconf translation (Closes: #543311).
  * Enable Lua support (Closes: #538207).
  * Add fix-luaext.patch patch to fix linking with Lua.
  * Update symbols file for Lua.

 -- Michal Čihař <nijel@debian.org>  Tue, 01 Sep 2009 11:27:18 +0200

rpm (4.7.1-2) experimental; urgency=low

  * Make rpm2cpio conflict with older rpm to avoid overwriting files 
    (Closes: #542549).
  * Add debian/README.source documenting quilt usage.

 -- Michal Čihař <nijel@debian.org>  Thu, 20 Aug 2009 11:15:23 +0200

rpm (4.7.1-1) experimental; urgency=low

  * New Upstream Version
    - Adjusted manpage-dash.patch.
    - Dropped 09-prereq.diff.
    - Dropped 13-rpm2cpio-help.diff.
    - Dropped 60_fix-out-build.patch.
    - Regenerated 70_autogen.patch.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project (Closes: #539606).
  * Add Japanese debconf translation (Closes: #539598).
  * Add Russian debconf translation (Closes: #539461, #541753).
  * Add Slovak debconf translation (Closes: #537248, #540167).
  * Add Potrugese debconf translation (Closes: #537448, #541110).
  * Add Galician debconf translation (Closes: #537429).
  * Add French debconf translation (Closes: #540195).
  * Add Italian debconf translation (Closes: #540198).
  * Add German debconf translation (Closes: #540717).
  * Add Swedish debconf translation (Closes: #541398).
  * Prepare for lua support (see: #538207), not ready because lposix and
    lrexlib are not available in Debian.
  * Add lintian overrides for debconf usage in postinst.
  * Split out rpm2cpio to separate package (Closes: #540106).
  * Move rpm README.Debian and NEWS just to rpm binary package.
  * Separate part of /usr/lib/rpm to rpm-common as some parts of it are always
    required by librpm.
  * Change directories by configure parameters instead of patching.
  * Build with lzma support (Closes: #509444).
  * Upload to experimental due to liblzma.
  * Cleanup in debian/patches.
    - Consistent naming scheme.
    - Add DEP-3 compliant patch descriptions.
  * Bump policy to 3.8.3.

 -- Michal Čihař <nijel@debian.org>  Sun, 16 Aug 2009 10:38:10 +0200

rpm (4.7.0-9) unstable; urgency=low


